Bug 885130 (CVE-2012-6137) - CVE-2012-6137 subscription-manager: rhn-migrate-classic-to-rhsm missing SSL certificate verification
Summary: CVE-2012-6137 subscription-manager: rhn-migrate-classic-to-rhsm missing SSL c...
Keywords:
Status: ASSIGNED
Alias: CVE-2012-6137
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 918967 918968 918969 918970 960257
Blocks: 885150
TreeView+ depends on / blocked
 
Reported: 2012-12-07 14:58 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
A fix for this issue (5.62 KB, patch)
2013-03-01 17:20 UTC, Alex Wood
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0788 0 normal SHIPPED_LIVE Moderate: subscription-manager security update 2013-05-06 23:42:04 UTC

Description Jan Lieskovsky 2012-12-07 14:58:42 UTC
A security flaw was found in the way rhn-migrate-classic-to-rhsm tool of subscription-manager, a suite of tools and libraries for subscription and repository management, performed migration of system profiles, registered with Red Hat Network Classic to Customer Portal Subscription Management (certificate of Red Hat Network Classic server was not verified for validity). A rogue server could use this flaw to conduct man-in-the-middle (MiTM) attacks, possibly leading to their ability to obtain user credentials, that would be used for authentication of that particular user at Red Hat Network Classic server before the system profile(s) migration.

This issue was found by Florian Weimer of Red Hat Product Security Team.

Comment 1 Jan Lieskovsky 2012-12-07 15:03:15 UTC
This issue affects the versions of the subscription-manager package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue (the conceptuality of upcoming change) affects the versions of the subscription-manager package, as shipped with Fedora release of 16 and 17.

Comment 2 Alex Wood 2013-02-26 21:03:42 UTC
Forgive me if I'm being obtuse, but could you provide a little more information on the bug?  I assume you're talking about certificate verification in the connect_to_rhn() method.  Does xmlrpclib not do certificate verification when a https link is passed in?

Comment 4 Tomas Hoger 2013-02-27 19:59:22 UTC
(In reply to comment #2)
> Does xmlrpclib not do certificate verification when a https link is passed in?

Correct, python xmlrpc lib does not check certificates when it's given https url.

Comment 9 Alex Wood 2013-03-01 17:20:06 UTC
Created attachment 704258 [details]
A fix for this issue

Comment 11 Stefan Cornelius 2013-03-07 08:56:51 UTC
This has been assigned CVE-2012-6137.

Comment 19 Vincent Danen 2013-05-06 19:39:10 UTC
Created subscription-manager tracking bugs for this issue

Affects: fedora-all [bug 960257]

Comment 20 errata-xmlrpc 2013-05-06 19:43:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0788 https://rhn.redhat.com/errata/RHSA-2013-0788.html


Note You need to log in before you can comment on or make changes to this bug.